import path from "path";

import { createReadAllPage } from "@/components/OrganizedContent/ReadAll";
import { createReadAllGetStaticProps } from "@/components/OrganizedContent/static";
import {
  mobileShapesConfig,
  aboutShapesConfig,
} from "@/components/ShapesBackground";

export const CONSTITUTION_PAGE = path.join("about", "constitution");

export default createReadAllPage({
  title: "Constitution",
  image: "images/constitution.svg",
  pagePath: CONSTITUTION_PAGE,
  getShapesConfig: () =>
    window.innerWidth <= 768 ? mobileShapesConfig : aboutShapesConfig,
});

export const getStaticProps = createReadAllGetStaticProps(CONSTITUTION_PAGE);
